package main

import (
	"flag"
	"log"

	"code.ivysaur.me/webcmd"
)

func main() {
	confPath := flag.String("config", "webcmd.conf", "Path to configuration file")
	flag.Parse()

	app, err := webcmd.NewApp(*confPath)
	if err != nil {
		log.Fatalf(err.Error())
	}

	app.Run()
}
